KBUILDSYCOCA6(8)

NOME
kbuildsycoca6 - Ricostruisce la cache della configurazione del filesystem di KService.

SINTASSI

kbuildsycoca6 [OPZIONI...]

DESCRIZIONE

kbuildsycoca6 genera una cache binaria dei dati memorizzati nei file .desktop e file .xml di tipi MIME che l'infrastruttura KService usa per trovare estensioni, applicazioni e altri servizi.

La libreria KService usa questa banca dati per fornire efficacemente le informazioni richieste.

Gli utenti normalmente non devono eseguire questa applicazione direttamente; KService verrà eseguito quando necessario, ogni volta che qualsiasi file i cui dati sono in cache viene modificato.

OPZIONI

--global
    Ignora tutti i file impostati dall'utente (in XDG_DATA_HOME). Questo è attualmente supportato solo sui sistemi UNIX®.

--noincremental
    Invece di usare la cache attuale e aggiornare solo le informazioni che sono state modificate o aggiunte, comincia con una cache vuota. Viene ignorato se è impostato --global.

--menutest
    Fa una prova di generazione della banca dati dei menu delle applicazioni. Non genera realmente la cache.

--testmode
    Usa la «modalità di prova» di QStandardPaths per evitare di interferire con i dati degli utenti. È pensato per essere usato in prove di unità.

--track identificativo_menu
    Traccia un identificativo di menu per debug.

--author
    Mostra le informazioni sull'autore.

--license
    Mostra le informazioni sulla licenza.

-h, --help
    Mostra un breve testo di aiuto.

-v , --version
    Mostra le informazioni sulla versione.

FILE

cachedir/ksycoca6_[lingua]_[sha1-delle-cartelle]
    La cache di KService generata da kbuildsycoca6. Sui sistemi UNIX®, cachedir è tipicamente XDG_CACHE_HOME.

VEDI ANCHE

kded5(8), kdeinit5(8)

ERRORI

Usa il sito di gestione dei bug di KDE[1] per segnalarli.

AUTORI

Darian Lanx <content@openprojects.net>
    Ha scritto la documentazione originale.

Alex Merry <alexmerry@kde.org>
    Ha aggiornato la documentazione per KDE Frameworks 5.

NOTE

1.  il sito di gestione dei bug di KDE
    https://bugs.kde.org